/* Copyright 2009 Palm, Inc.  All rights reserved. */

var Email = Class.create({
    initialize: function(emailStr){
        if (emailStr) {
            this.value = emailStr;
        }
    },
    isEmailAddress: true
});

Email.getHashKey = function(email){
    var emailStr = email.value;
    return emailStr.strip().toLowerCase();
};
